//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// TypeScript support for Blazor-WASM application | Author: Sergei Y.Kitaev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Browser popup helpers (static class):
class BrowserPopup
{
   static ShowAlert(message: string) {
      BrowserPopup.ShowMessage(null, message)
   }
   static ShowMessage(categoryTitle: string|null,message: string) {
      let errorText = categoryTitle ? categoryTitle+'\n\n' : ''
      errorText += message ? message :
         'Error message was not provided for this box.'
      alert(errorText)
   }
} // BrowserPopup

//==================================================================================================
// BROWSER POPUP MESSAGES (DIALOGS) — FUNCTIONS:
//--------------------------------------------------------------------------------------------------

function BrowserPopup_ShowAlert(message: string) {
   HArgChecking.NOT_NULL(message, 'BrowserPopup_ShowAlert', 'message')
   BrowserPopup.ShowAlert(message)
}
function BrowserPopup_ShowMessage(categoryTitle: string|null, message: string) {
   HArgChecking.NOT_NULL(message, 'BrowserPopup_ShowMessage', 'message')
   BrowserPopup.ShowMessage(categoryTitle, message)
}

//==================================================================================================
